%define upstream_name    MooseX-Has-Sugar
%define upstream_version 0.05070421

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Experimental sweetness
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.400.200
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.50.704.210-2.mga3
+ Revision: 370185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.50.704.210-1.mga3
+ Revision: 295014
- update to 0.05070421

* Thu Feb 23 2012 jquelin <jquelin> 0.50.704.200-1.mga2
+ Revision: 213046
- update to 0.05070420

* Thu Apr 07 2011 jquelin <jquelin> 0.50.704.190-1.mga1
+ Revision: 81812
- update to 0.05070419

* Tue Jan 25 2011 jquelin <jquelin> 0.50.556.160-1.mga1
+ Revision: 38601
- mageia rebuild
- imported package perl-MooseX-Has-Sugar

